Subject: Ensure proper cache control headers across Synnefo

Description

Ensure proper Vary:, Cache-Control headers across Synnefo, inside a single API request handler, see #3358.

Responses should contain at least:

Cache-Control: no-cache, no-store, must-revalidate, max-age=0

Vary: X-Auth-Token

Proposed patch in api_request:

+        patch_vary_headers(response, ('X-Auth-Token',))

+        patch_cache_control(response, no_cache=True)

+        patch_cache_control(response, no_store=True)

+        patch_cache_control(response, must_revalidate=True)

before returning a response.

Related issues:

related to Synnefo - Feature # 3358: Single decorator for handling API calls,... Closed 03/03/2013

Associated revisions

Revision 72bf812d - 04/08/2013 11:06 am - Christos Stavrakakis 

Implement single decorator for handling API calls

Create a single decorator for API methods to be used be accross all

synnefo. This decorator does the following:

    -  Proper logging of 5xx faults and unexpected errors

    -  Authentication with Astakos using snf-astakos-client

    -  Sets proper HTTP response and cache control headers

Also move some common functions from various apps to

'snf_django.lib.api.utils'

Refs #3358 #3448

History

#1 - 03/13/2013 05:00 pm - Stratos Psomadakis

Also add no_store cache control:
+        patch_cache_control(response, no_store=True)

#2 - 04/08/2013 04:48 pm - Christos Stavrakakis

- Status changed from Assigned to Feedback

#3 - 02/26/2014 05:32 pm - Christos Stavrakakis

- Status changed from Feedback to Closed
